Page MenuHomePhabricator

Remove frimpressions db from prod mysql
Closed, ResolvedPublic

Description

@Volans found this the other day when switching DNS on the mysql master, I have not been able to find anyone who knows what it is and there are no references to it in frack puppet so I think it can go.

Other people who I think might want to weigh in: @Pcoombe @CCogdill_WMF @Seddon ?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2019, 9:24 PM
awight added a subscriber: awight.Jan 16 2019, 9:49 PM

How many rows are in the tables? There should be a timestamp column, often ts, to query. It's probably worth keeping an archival dump if it might be real data.

Where is this database? I cannot find it on the misc masters.

root@cumin1001:~# for i in db1063 db1065 db1072 db1073; do mysql.py -h$i -e "show databases like '%fr%'";done
root@cumin1001:~#
Marostegui moved this task from Triage to In progress on the DBA board.Jan 17 2019, 6:41 AM

So looks like it is only on codfw hosts, which indicates it is not really in use:

root@cumin1001:/home/marostegui# for i in db1065 db1117:3322 db2044 db2078:3322; do echo $i; mysql.py -h$i -e "show databases like '%fr%'";done
db1065
db1117:3322
db2044
+-----------------+
| Database (%fr%) |
+-----------------+
| frimpressions   |
+-----------------+
db2078:3322
+-----------------+
| Database (%fr%) |
+-----------------+
| frimpressions   |
+-----------------+

our backup systems has this bug where empty dbs are not recovered, maybe it is an empty and was deleted by accident (with no data loss?).

it is empty actually

root@db2044:/srv/sqldata/frimpressions# ls -lh
total 4.0K
-rw-rw---- 1 mysql mysql 54 Jun  4  2014 db.opt

awight - do you need its contents? Maybe it was archived in the past, we would have to do some research about that.

I think this database was just created but never actually populated: T83011#908236

Mentioned in SAL (#wikimedia-operations) [2019-01-17T14:19:29Z] <marostegui> Drop empty frimpressions database from m2 - T213973

Marostegui closed this task as Resolved.Jan 17 2019, 2:20 PM
Marostegui claimed this task.

I have dropped this empty database and updated documentation.